Bug 14849 - Memory leak in mc-4.6.1-alt-vfs.patch
: Memory leak in mc-4.6.1-alt-vfs.patch
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-11 11:12 by
Modified: 2008-03-18 09:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-11 11:12:20
The result of vfs_canon() must be freed. So g_free(mpath); before first return
-1;  is missed in this patch.
------- Comment #1 From 2008-03-16 23:07:50 -------
Fixed in git, please review.
------- Comment #2 From 2008-03-17 12:05:34 -------
Patch is correct.
------- Comment #3 From 2008-03-17 23:21:27 -------
4.6.2-alt5.pre1